Skip to main content
`Ctrl`+`K`

# DMPlexReorderCell

Flips cell orientations since `DMPLEX` stores some of them internally with outward normals.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexReorderCell(DM dm, PetscInt cell, PetscInt cone[])

## Input Parameters

- dm - The `DMPLEX` object

- cell - The cell

- cone - The incoming cone

## Output Parameter

- cone - The reordered cone (in-place)

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPolytopeType`, `DMPlexGenerate()`

## Level

developer

## Location

src/dm/impls/plex/plexgenerate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages